# $Revision: 1.16 $, $Date: 2001/06/23 08:10:39 $
Summary:	getty and uugetty
Summary(de):	getty und uugetty
Summary(fr):	getty et uugetty
Summary(pl):	getty i uugetty
Summary(tr):	getty ve uugetty
Name:		getty_ps
Version:	2.0.7j
Release:	15
License:	Distributable - Copyright 1989,1990 by Paul Sutcliffe Jr.
Group:		Applications/System
Group(de):	Applikationen/System
Group(pl):	Aplikacje/System
Source0:	ftp://tsx-11.mit.edu/pub/linux/sources/sbin/%{name}-%{version}.tar.gz
Patch0:		%{name}-misc.patch
Patch1:		%{name}-y2k.patch
Patch2:		%{name}-rb.patch
Patch3:		%{name}-hangup.patch
Patch4:		%{name}-mktemp.patch
URL:		ftp://tsx-11.mit.edu/pub/linux/sources/sbin
BuildRequires:	ncurses-devel >= 5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
getty and uugetty are used to accept logins on the console or a
terminal. They can handle answer a modem for dialup connections
(although mgetty is recommended for that purpose).

%description -l de
getty und uugetty werden zum Akzeptieren von Logins auf der Konsole
oder einem Terminal verwendet und knnen ein Modem fr Anwhl-
Verbindungen verwenden (wir empfehlen dafr allerdings mgetty).

%description -l fr
Getty et uugetty sont utiliss pour accepter les connexions sur la
console ou sur un terminal. Ils peuvent aussi prendre en charge un
modem pour une connexion par tlphone (bien que mgetty soit
recommand pour cet usage.

%description -l pl
Programy getty i uugetty s uywane do kontroli logowania na terminalu
lub konsoli. Mog odpowiedzie na danie modemu podczas poczenia
dialup. (W tym wypadku jednak mgetty jest polecane w miejsce getty_ps)

%description -l tr
getty ve uugetty konsol veya terminalerde sisteme giri srecini
balatmakta kullanlr. Ayn zamanda evirmeli a tipi balantlar
iin modeme yant verme zelliklerine de sahiptirler (ama bunun iin
mgetty daha kullanldr).

%prep
%setup -q
%patch0 -p1 
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1 

%build
# clean this ...
%{__make} clean

%{__make} OPT="%{rpmcflags}" LIBS="-lncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{sbin,usr/share/man/man{1,5},etc}

TOPDIR=$RPM_BUILD_ROOT make install

echo ".so getty.1" > $RPM_BUILD_ROOT%{_mandir}/man1/uugetty.1

install Examples/gettydefs.high-speed $RPM_BUILD_ROOT%{_sysconfdir}/gettydefs

gzip -9nf Examples/default/* ANNOUNCE README*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Examples/default/* ANNOUNCE.gz README*

%config(missingok) %verify(not mtime size md5) %{_sysconfdir}/gettydefs

%attr(755,root,root) /sbin/*
%{_mandir}/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: getty_ps.spec,v $
Revision 1.16  2001/06/23 08:10:39  kloczek
- release 15: merge rawhide patches.

Revision 1.15  2001/05/02 16:29:02  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.14  2001/03/14 17:13:24  wiget
Release: 10 to allow upgrade from RH

Revision 1.13  2000/07/13 16:01:06  baggins
- s/lcurses/lncurses/

Revision 1.12  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.10  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.8  1999/07/12 23:05:57  kloczek

- added using CVS keywords in %changelog (for automating them).

* Sat Dec 19 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.0.7j-5]
- changed permission on /var/log/getty.log to 600,
- added gzipping man pages,
- added using LDFLAGS="-s" to ./configure enviroment,
- added getty_ps-ncurses.patch for compiling getty_ps against ncurses,
- added using $RPM_OPT_FLAGS during compile.

* Tue Oct 06 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
- adde pl translation,
- major modifications of the spec file. 
